> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aegister.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Recupera le statistiche di traffico Threat Blocker

> Recupera le statistiche di traffico per un Threat Blocker. Restituisce gli IP sorgente e destinazione più frequenti, i principali pattern di traffico negato e i principali interlocutori complessivi.



## OpenAPI

````yaml get /api/v1/atb/{id}/traffic/stats
openapi: 3.1.0
info:
  title: Aegister API
  version: 1.0.5
servers: []
security: []
paths:
  /api/v1/atb/{id}/traffic/stats:
    get:
      tags:
        - atb
      summary: Get Threat Blocker traffic statistics
      description: |-
        Get traffic statistics for an Threat Blocker.
        Returns the most frequently occurring source and destination IPs,
        top denied traffic patterns, and top communicators overall.
      operationId: atb_traffic_stats_retrieve
      parameters:
        - in: query
          name: end_date
          schema:
            type: string
            format: date-time
          description: End date for filtering (ISO format)
        - in: path
          name: id
          schema:
            type: integer
          required: true
        - in: query
          name: start_date
          schema:
            type: string
            format: date-time
          description: Start date for filtering (ISO format)
        - in: query
          name: top
          schema:
            type: number
            default: 5
          description: Number of top IPs to return
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 0
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
                  data:
                    type: object
                    properties:
                      top_source_ips:
                        type: array
                        items:
                          type: object
                          properties:
                            ip:
                              type: string
                            hits:
                              type: integer
                      top_destination_ips:
                        type: array
                        items:
                          type: object
                          properties:
                            ip:
                              type: string
                            hits:
                              type: integer
                      top_denied_traffic:
                        type: array
                        items:
                          type: object
                          properties:
                            src_ip:
                              type: string
                            dst_ip:
                              type: string
                            hits:
                              type: integer
                      top_communicators:
                        type: array
                        items:
                          type: object
                          properties:
                            ip:
                              type: string
                            total_hits:
                              type: integer
                            as_source:
                              type: integer
                            as_destination:
                              type: integer
          description: ''
        '401':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - - 9153
          description: ''
        '404':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
          description: ''
      security:
        - ApiKeyAuth: []
        - ApiKeyQueryParam: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Aegister-Token
    ApiKeyQueryParam:
      type: apiKey
      in: query
      name: X-Aegister-Token

````